LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XScriptListener Interface Referencepublished

makes it possible to receive ScriptEvents. More...

`import"XScriptListener.idl";`

Inheritance diagram for XScriptListener:

## Public Member Functions
void | firing ([in] com::sun::star::script::ScriptEvent aEvent)
| gets called when an event takes place. More...
any | approveFiring ([in] com::sun::star::script::ScriptEvent aEvent) raises ( com::sun::star::reflection::InvocationTargetException )
| gets called when a "vetoable event" occurs at the object. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive ScriptEvents.

## Member Function Documentation

## ◆ approveFiring()

any approveFiring | ( | [in] com::sun::star::script::ScriptEvent | aEvent | ) |
raises | ( | com::sun::star::reflection::InvocationTargetException
| ) |  |

gets called when a "vetoable event" occurs at the object.

## ◆ firing()

void firing | ( | [in] com::sun::star::script::ScriptEvent | aEvent | ) |

gets called when an event takes place.

For that a ScriptEventDescriptor is registered at and attached to an object by an XEventAttacherManager.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XScriptListener.idl